package cn.com.qmth.examcloud.core.oe.student.api.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.core.oe.student.service.ExamDataCleanService;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;

@Api(tags = "考试数据清理")
@RestController
@RequestMapping("${app.api.oe.student}/examDataClean")
public class ExamDataCleanController extends ControllerSupport {
	
    @Autowired
    private ExamDataCleanService examDataCleanService;

    @ApiOperation(value = "清理")
    @PutMapping("/clean")
    public void clean(@RequestParam(required = false) @ApiParam(value = "在此日期之前（yyyy-MM-dd HH:mm:ss）") String dateBefore) {
    	examDataCleanService.cleanData(dateBefore);
    }
}
