package cn.com.qmth.examcloud.core.oe.student.service;

import cn.com.qmth.examcloud.core.oe.student.api.request.GetExamRecordQuestionsReq;
import cn.com.qmth.examcloud.core.oe.student.api.response.GetExamRecordQuestionsResp;
import cn.com.qmth.examcloud.core.oe.student.bean.ExamStudentQuestionInfo;
import cn.com.qmth.examcloud.question.commons.core.paper.DefaultPaper;
import cn.com.qmth.examcloud.support.examing.ExamQuestion;
import cn.com.qmth.examcloud.support.examing.ExamRecordQuestions;

import java.util.List;

/**
 * @author chenken
 */
public interface ExamRecordQuestionsService {

    /**
     * 保存
     *
     */
    void saveExamQuestion(Long examRecordDataId, Integer order, ExamQuestion questions);

    /**
     * 获取
     *
     * @param examRecordDataId
     * @return
     */
    ExamQuestion getExamQuestion(Long examRecordDataId, Integer order);

    /**
     * 删除
     *
     * @param examRecordDataId
     */
    void deleteExamQuestion(Long examRecordDataId, Integer order);

    ExamRecordQuestions createExamRecordQuestions(Long examRecordDataId, DefaultPaper defaultPaper);

    ExamRecordQuestions getExamRecordQuestions(Long examRecordDataId);

    String getQuestionContent(Long studentId, String questionId);

    void submitQuestionAnswer(Long studentId, List<ExamStudentQuestionInfo> examQuestionInfos, String referer, String agent);

    GetExamRecordQuestionsResp getExamRecordQuestions(GetExamRecordQuestionsReq req);

}
